Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSSliderSlide Class Reference

The CSSliderSlide object provides slide metadata and allows the download of related images. More...

`#import <CSSliderSlide.h>`

Inherits NSObject.

## Instance Methods
(void) | - fetchThumbnailWithCompletionHandler:
| Retrieves thumbnail image from the server. More...
(void) | - fetchContentWithCompletionHandler:
| Retrieves full image from the server. More...
(void) | - cancelThumbnailFetching
| Cancels pending fetchThumbnailWithCompletionHandler: requests. More...
(void) | - cancelContentFetching
| Cancels pending fetchContentWithCompletionHandler: requests. More...

## Properties
NSUInteger | number
| Number of the slide in the slides collection (starting from 1). More...
NSDate * | creationDate
| Time at which the slide was created. More...

## Detailed Description

The CSSliderSlide object provides slide metadata and allows the download of related images.

These objects are obtained by the client application either through the slider:didAddSlides: (CSSliderDelegate-p) delegate method or the property CSSlider::slides of CSSlider class.

There is a 1-1 correspondence between CSSliderSlide instances and actual slides, so they can be compared by reference.

See also
  CSSlider

## Method Documentation

- (void) cancelContentFetching |  |  |

Cancels pending fetchContentWithCompletionHandler: requests.

See cancelThumbnailFetching for details.

- (void) cancelThumbnailFetching |  |  |

Cancels pending fetchThumbnailWithCompletionHandler: requests.

Fetch requests may be serialized internally so that only a couple (possibly one) simultaneous server request is sent at any given moment. This can result in high latencies for any new requests if client previously issued fetch requests for many slides during a small period of time. This method allows the application to cancel some earlier requests before they finish if the client is not interested in the result anymore and therefore reduce time required to finish newer requests.

- (void) fetchContentWithCompletionHandler: |  | (CSSliderSlideFetchCompletionHandler) | completionHandler |

Retrieves full image from the server.

Client is expected to cache image data to avoid multiple calls to this method. Image data is not stored anywhere inside the SDK.

Parameters

  completionHandler | Completion handler instance that is used to return full image data.

- (void) fetchThumbnailWithCompletionHandler: |  | (CSSliderSlideFetchCompletionHandler) | completionHandler |

Retrieves thumbnail image from the server.

Client is expected to cache image data to avoid multiple calls to this method. Image data is not stored anywhere inside the SDK.

Parameters

  completionHandler | Completion handler instance that is used to return thumbnail image data.

## Property Documentation

- (NSDate*) creationDate
| read nonatomic copy

Time at which the slide was created.

- (NSUInteger) number
| read nonatomic assign

Number of the slide in the slides collection (starting from 1).

This value shall never change through object lifetime.

At any given point there shall never be two or more available slides with the same number. However, after all slides are removed the numbering might be reset. Currently all slides are removed e.g. when presenter changes.

The documentation for this class was generated from the following file:

- CSSliderSlide.h